<BOUCLE_commande(COMMANDES){id_commande=#ENV{_id_commande}}{statut?}>
<div class="recapitulatif-commande">
	<INCLURE{fond=inclure/recapitulatif-commande,id_commande=#ID_COMMANDE,_hash=#ENV{_hash}} />
</div>
</BOUCLE_commande>

<div class='formulaire_spip formulaire_editer formulaire_#FORM formulaire_#FORM-#ENV{id_commande,nouveau}'>


	[<p class="reponse_formulaire reponse_formulaire_ok">(#ENV**{message_ok})</p>]
	[<p class="reponse_formulaire reponse_formulaire_erreur">(#ENV*{message_erreur})</p>]

	<form method='post' action='#ENV{action}'><div>
		#ACTION_FORMULAIRE{#ENV{action}}
		<input type='hidden' name='id_livraisonmode' value='#ENV{id_livraisonmode}' />


		#SET{modif,#ENV{modif,''}}
    <div class="profil_show clearfix[(#GET{modif}|oui)hidden]">
	    [(#FACTURATION_NOM|oui)
	    <div class="row-fluid">
		    <div class="span6">
	    ]
	      [(#ENV{_livraison_necessaire}|oui)
		    <h3><span><:livraison:titre_votre_adresse_livraison:></span>
		        [(#FACTURATION_NOM|non)<br /><small><i><:livraison:info_facturation_meme_adresse:></i></small>]
	      </h3>
		    ][(#ENV{_livraison_necessaire}|non)
		    <h3><span><:livraison:titre_votre_adresse_facturation:></span></h3>
		    ]
		    [(#FACTURATION_NOM|non)
		    <button class="btn btn-small right" type="submit"
			    name="modif" value="modif"><:livraison:bouton_modifier_adresse:></button>
		    ]
			  <INCLURE{fond=formulaires/inc-afficher-adresse-livraison,env} />
		    <BOUCLE_si(CONDITION){si #FACTURATION_NOM|et{#ENV{_livraison_necessaire}|oui}}>
		    </div>
		    <div class="span6">
		    <h3><span><:livraison:titre_votre_adresse_facturation:></span></h3>
		    <INCLURE{fond=formulaires/inc-afficher-adresse-facturation,env} />
		    </div>
	    </div>
		    <button class="btn btn-success" type="submit"
			    name="modif" value="modif"><i class="icon-pencil"></i> <:livraison:bouton_modifier_adresses:></button>
		    </BOUCLE_si>
    </div>
    <div class="profil_modif[(#GET{modif}|non)hidden]">
	    [(#ENV{_livraison_necessaire}|oui)
	    <h3><span><:livraison:titre_votre_adresse_livraison:></span></h3>
	    ][(#ENV{_livraison_necessaire}|non)
	    <h3><span><:livraison:titre_votre_adresse_facturation:></span></h3>
	    ]
      <p class="small"><:livraison:explication_privacy_info_perso:></p>
	    <ul class="editer-groupe">
			<INCLURE{fond=formulaires/inc-editer-adresse-livraison,env,prefixe='livraison_'} />
		    [(#ENV{_livraison_necessaire}|oui)
		    #SET{name,facturation_identique_livraison}#SET{obli,''}#SET{defaut,''}#SET{erreurs,#ENV**{erreurs}|table_valeur{#GET{name}}}
				<li class="editer editer_[(#GET{name})][ (#GET{obli})][ (#GET{erreurs}|oui)erreur]">[
					<span class='erreur_message'>(#GET{erreurs})</span>
					]
					#SET{val,''}
					<input type="hidden" name="#GET{name}" value="#GET{val}" />
					#SET{val,oui}
					<div class="choix">
						<input type="checkbox" name="#GET{name}" class="checkbox checkbox_inverse" id="#GET{name}_#GET{val}" value="#GET{val}"[(#ENV{#GET{name},#GET{defaut}}|=={#GET{val}}|oui)checked="checked"] />
						<label for="#GET{name}_#GET{val}"><:livraison:label_adresse_facturation_identique:></label>
					</div>
				</li>
		    <li class="fieldset suite[(#ENV{facturation_identique_livraison,''}|oui)hidden]">
			    <fieldset>
				    <legend class="h3"><:livraison:titre_votre_adresse_facturation:></legend>
				    <ul class="editer-groupe">
					    <INCLURE{fond=formulaires/inc-editer-adresse-livraison,env,prefixe='facturation_'} />
				    </ul>
			    </fieldset>
		    </li>
		    ]
      </ul>
		[(#ENV{_livraison_necessaire}|non)
			<input type="hidden" name="facturation_identique_livraison" value="oui" />
		]
	    <p class="boutons"><input type='submit' class='submit' name="save" value='<:bouton_enregistrer:>' /></p>
	  </div>

		<BOUCLE_sanslivraison(CONDITION){si #GET{modif}|non}{si #ENV{_livraison_necessaire}|non}>
			[(#REM)<!-- Action payer commande -->]
			<div class="boutons">
				<a class="btn btn-success"
					href="#ENV{_url_suite}">
					[(#ENV{_titre_suite,<:livraison:bouton_suite:>})] <i class="icon-chevron-right icon-white"></i>
				</a>
			</div>
		</BOUCLE_sanslivraison>

			[(#REM)<!-- CHOIX DU MODE DE LIVRAISON -->]

			<B_modechoisi>
			<BOUCLE_modechoisi(COMMANDES_DETAILS){id_commande=#ENV{_id_commande}}{objet=livraisonmode}{si #GET{modif}|non}{par id_objet}>
				<div class="livraison-modes">
					<h3><span><:livraison:titre_votre_mode_de_livraison:></span></h3>
					<ul class="liste-items info">
					<BOUCLE_mode(LIVRAISONMODES){id_livraisonmode=#ID_OBJET}>
						<li class="item">
							<div class="entry">
								[(#ENV{_choix_livraisonmode}|count|>{1}|oui)
								<div class="postmeta p pull-right">
									<button type="submit" class="btn btn-small" name="resetlivraison" value=" ">
										<i class="icon-remove"></i> Choisir un autre mode
									</button>
								</div>]
								<strong class="entry-title">
									[(#LOGO_LIVRAISONMODE|image_reduire{-1}) ]
									<:livraison:info_livraison_par{mode=#TITRE}:>
								</strong>
								<div class="entry-content"><p>[(#_modechoisi:PRIX)]</p></div>
							</div>
						</li>
					</BOUCLE_mode>
					</ul>
				</div>
				[(#REM)<!-- Action payer commande -->]
				<div class="boutons">
					<a class="btn btn-success"
						href="#ENV{_url_suite}">
						[(#ENV{_titre_suite,<:livraison:bouton_suite:>})] <i class="icon-chevron-right icon-white"></i>
					</a>
				</div>

			</BOUCLE_modechoisi>
			</B_modechoisi>
			<B_choixmodes>
					<div class="livraison-modes">
						<h3><span><:livraison:titre_votre_mode_de_livraison:></span></h3>
						<div class="modes-list">
							<!-- http://contrib.spip.net/SPIP-Bonux -->
							<BOUCLE_choixmodes(POUR){tableau #ENV{_choix_livraisonmode}}{si #GET{modif}|non}>
                                 <div class="mode-livraison entry">
									<BOUCLE_modes(LIVRAISONMODES){id_livraisonmode IN #VALEUR{id}|explode{','}}{par num titre,titre}>
								
									<div class="heading">
										<strong class="title entry-title">[(#TITRE)]</strong>
									</div>
									<div class="content">
										[(#LOGO_LIVRAISONMODE|image_reduire{-1}) ]
										[<div class="description entry-content">(#DESCRIPTIF)</div>]
									</div>
									</BOUCLE_modes>
									<div class="footer postmeta p">
										<button type="submit" class="btn btn-success choose" name="choixmode[#VALEUR{id}]" value="#VALEUR{id}">
											#SET{prix,#VALEUR{prix_ttc}|affiche_monnaie}
											<:livraison:bouton_choix_mode{mode=#VALEUR{titre},prix=#GET{prix}}:>
										</button>
									</div>
								</div>
						</BOUCLE_choixmodes>
						</div>
					</div>
				</B_choixmodes>
				[(#GET{modif}|non)
				<p class="error">
					<:livraison:erreur_adresse_non_livrable:>
				</p>
				]
				<//B_choixmodes>
			<//B_modechoisi>
		<//B_sanslivraison>
		[(#REM) ajouter les saisies supplementaires : extra et autre, a cet endroit ]
		<!--extra-->
	</div></form>
</div>
<style>
	.suite {margin: 1em 0 1em 25px;}
</style>
<script>
jQuery(function(){
	function update_visibility_fieldset(node){
		var $suite = jQuery(node).closest('.editer').next('.suite');
		if (jQuery(node).is('.checkbox_inverse')?!jQuery(node).prop('checked'):jQuery(node).prop('checked')){
			$suite.filter(':hidden').show('fast');
		}
		else {
			$suite.filter(':visible').hide('fast');
		}
	}
	jQuery('.fieldset.suite')
		.prev()
		.find('input.checkbox')
		.bind('change',function(){update_visibility_fieldset(this);})
		.each(function(){update_visibility_fieldset(this);});
});
</script>
